Skip to main content
GET
/
plan_configurations
/
{public_id}
cURL
curl --request GET \
  --url https://sandbox.withclasp.com/plan_configurations/{public_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.withclasp.com/plan_configurations/{public_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.withclasp.com/plan_configurations/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "plan": "<string>",
  "waiting_period": {
    "id": "<string>",
    "duration": 123,
    "allow_coinciding_start": true
  },
  "required_subclass": "<string>",
  "dependent_age_limit": 123,
  "base_plan_configuration": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Response

200 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
plan
string
required

ID of plan

termination_policy
enum<string>
required
  • termination_date - Termination Date
  • end_of_month - End Of Month
  • fifteenth_of_month - Fifteenth Of Month
Available options:
termination_date,
end_of_month,
fifteenth_of_month
waiting_period
object
required
required_subclass
string | null

ID of subclass

dependent_age_limit
integer | null

Maximum age for dependent coverage eligibility

dependent_age_out_rule
enum<string> | null
  • end_of_month - End Of Month
  • end_of_year - End Of Year
  • date_of_birth - Date Of Birth
Available options:
end_of_month,
end_of_year,
date_of_birth
base_plan_configuration
string | null

ID of the base plan configuration this inherits from